# Type Alias ParseService

ParseService: (
expression: CompiledExpression | string | ((scope: Scope) => any),
interceptorFn?: (value: any, scope: Scope, locals: any) => any,
expensiveChecks?: boolean,
) => CompiledExpression

Parses a string or expression function into a compiled expression.

#### Type declaration

- - (
    expression: CompiledExpression | string | ((scope: Scope) => any),
    interceptorFn?: (value: any, scope: Scope, locals: any) => any,
    expensiveChecks?: boolean,
    ): CompiledExpression

  - #### Parameters

    - expression: CompiledExpression | string | ((scope: Scope) => any)

      The input expression (string or function).

    - `Optional` interceptorFn: (value: any, scope: Scope, locals: any) => any

      Optional value transformer.

    - `Optional` expensiveChecks: boolean

      Whether to enable expensive change detection.

    #### Returns CompiledExpression

    A compiled expression.

- Defined in src/core/parse/interface.ts:80